%define debug_package %{nil}

Name:       ocaml-textile
Version:    0.10
Release:    %mkrel 6
Summary:    Textile markup language support for OCaml
License:    GPL
Group:      Development/OCaml
URL:        http://komar.bitcheese.net/en/code/textile-ocaml
Source0:    http://komar.bitcheese.net/src/textile-ocaml/textile-ocaml-%{version}.tar.gz
Patch0:     textile-ocaml-0.10-extlib.patch
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-extlib-devel

%description
Features:
* currently it supports most of textile syntax
* translating textile to an AST
* translating the AST to XHTML
* translating the AST to TyXML's XHTML (ocsigen support)
* 'textiler' command which takes textile and returns XHTML
* 'textiler_duce' - the same but maked with OCamlduce

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n textile-ocaml-%{version}
%autopatch -p1

%build
make byte native shared DUCE=no
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/textile
make DUCE=no install

%files
%doc README COPYING VERSION TODO
%dir %{_libdir}/ocaml/textile
%{_libdir}/ocaml/textile/META
%{_libdir}/ocaml/textile/*.cmi
%{_libdir}/ocaml/textile/*.cma
%{_libdir}/ocaml/textile/*.cmxs

%files devel
%doc doc/
%doc devel/
%{_libdir}/ocaml/textile/*.a
%{_libdir}/ocaml/textile/*.cmxa


%changelog
* Tue Feb 16 2016 umeabot <umeabot> 0.10-6.mga6
+ Revision: 961811
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.10-5.mga6
+ Revision: 893229
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.10-4.mga5
+ Revision: 749207
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10-3.mga5
+ Revision: 683114
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.10-2.mga4
+ Revision: 523850
- Mageia 4 Mass Rebuild

* Sat May 25 2013 blue_prawn <blue_prawn> 0.10-1.mga4
+ Revision: 427674
- build requires extlib
- imported package ocaml-textile

